<?php

  //
  // Test copy notes from one document to an identical copy.
  //

require_once("annotateApi.php");
require_once("test_config.php");


$phpfn = "apiCopyNotes.php";

$annotateuser = "fred@textensor.com";

$request = signRequest($phpfn, $apiuser, $apikey, $annotateuser);
$d1 = "2012-05-03";
$c1 = "hnYWpVBL";

$d2 = "2012-05-03";
$c2 = "anLGGYeJ";

$request .= "&d1=$d1&c1=$c1&d2=$d2&c2=$c2&newsig=PM&newauthor=test%40example.com";

//
// Optional: update the link targets too.
//
$request .= "&updatelinktargets=1";
$request .= "&customd2title=".rawurlencode("doc123 (copy)");
$request .= "&customd2id=".rawurlencode("mydoc2id456"); // for the :# linkfrom markers.


$url = "$annotateServer/php/$phpfn?$request";

print "The request is: $url\n";

$ret = file_get_contents($url);

if (substr($ret, 0, 2) == "OK") {
  print $ret;
 }
 else {
   print "Error - \n $ret \n";
 }




?>