<?php

  //
  // Test updating an annotate account.
  //

require_once("annotateApi.php");
require_once("test_config.php");

$phpfn = "updateAccount.php";

$annotateuser = $sampleUser; // e.g. "joe3@textensor.com";
$action = "update"; // can also be "upgrade/downgrade/archive/unarchive"

$newsig = "joe2";
$newpassword = "sesame";
$newfirst= "Joe2";
$newlast = "User";

$request = signRequest($phpfn, $apiuser, $apikey, $annotateuser);

$url = "$annotateServer/php/$phpfn?$request";
$url .= "&action=$action";

// Update account's signature, password and first and last name
if ($action == "update") {
	$url .= "&sig=$newsig&passwd=$newpassword&firstname=$newfirst&lastname=$newlast";
}

print "The request is: $url\n";

$ret = file_get_contents($url);

if (substr($ret, 0, 3) == "ERR") {
  print "Returned error: $ret\n";
 }
 else {
   print $ret;
 }
print "\n";



?>