<?php

  //
  // Test uploading document from command line (uses POST - see also html_uploadDocument.php)
  //

require_once("annotateApi.php");

$phpfn = "apiAttachS3Video.php";

$annotateuser = $sampleUser;

$validfor = 60 * 30; // valid for 30 mins

$request = signRequest($phpfn, $apiuser, $apikey, $annotateuser, $validfor);

$url = "$annotateServer/php/$phpfn?$request";
$url .= "&ws=".$sampleWS;

// POST params:
$params= array(
                "ws" => $sampleWS,
                "s3bucket" => "portfolium",
                "s3region" => "eu-west-2",
                "title" => "my_first_video_s3_hosted.mp4",
                "vidrelurl" => "file_example_MP4_1920_18MG.mp4",
                "vidsizekb" => 1024,
                "thumbrelurl" => "testing/PdVgFVPQP2MinVJKdOI6_SampleVideo_1280x720_20mb.jpeg"
);
  
print "<pre>";
print "The request is: $url\n";
print "POST params:\n";
print_r ($params);
print "</pre>";

// We need to do a HTTP POST - here using the curl utility:
$ret = doPost($url, $params);

if (substr($ret, 0, 3) == "ERR") {
  print "Returned error: $ret\n";
 }
 else {
   print $ret;
 }




?>